module(..., package.seeall)

---------------------------------------------------------------
-- IMPORTS
---------------------------------------------------------------

local ui = require ("ui")

---------------------------------------------------------------
-- GROUPS
---------------------------------------------------------------

local localGroup = display.newGroup()

---------------------------------------------------------------
-- DISPLAY OBJECTS
---------------------------------------------------------------

local background = display.newImage("images/background1.png")
local title      = display.newText("Director Class", 0, 0, native.systemFontBold, 16)
local createdBy  = display.newText("Created by Ricardo Rauber", 0, 0, native.systemFontBold, 16)
local website    = display.newText( "http://rauberlabs.blogspot.com/", 0, 0, native.systemFontBold, 16 )

---------------------------------------------------------------
-- BUTTONS
---------------------------------------------------------------

-----------------------------------
-- FUNCTIONS
-----------------------------------

local function bt01t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","moveFromLeft")
	end
end
--
local function bt02t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","overFromRight")
	end
end
--
local function bt03t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","moveFromTop")
	end
end
--
local function bt04t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","overFromBottom")
	end
end
--
local function bt05t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","flip")
	end
end
--
local function bt06t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","downFlip")
	end
end
--
local function bt07t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","fade")
	end
end
--
local function bt08t ( event )
	if event.phase == "release" then
		director:changeScene("screen2","crossfade")
	end
end

-----------------------------------
-- UI OBJECTS
-----------------------------------

local bt01 = ui.newButton{
				default = "images/bt_moveFromLeft.png",
				over = "images/bt_moveFromLeft.png",
				onEvent = bt01t,
				id = "bt01"
}
--
local bt02 = ui.newButton{
				default = "images/bt_overFromRight.png",
				over = "images/bt_overFromRight.png",
				onEvent = bt02t,
				id = "bt02"
}
--
local bt03 = ui.newButton{
				default = "images/bt_moveFromTop.png",
				over = "images/bt_moveFromTop.png",
				onEvent = bt03t,
				id = "bt03"
}
--
local bt04 = ui.newButton{
				default = "images/bt_overFromBottom.png",
				over = "images/bt_overFromBottom.png",
				onEvent = bt04t,
				id = "bt04"
}
--
local bt05 = ui.newButton{
				default = "images/bt_flip.png",
				over = "images/bt_flip.png",
				onEvent = bt05t,
				id = "bt05"
}
--
local bt06 = ui.newButton{
				default = "images/bt_downFlip.png",
				over = "images/bt_downFlip.png",
				onEvent = bt06t,
				id = "bt06"
}
--
local bt07 = ui.newButton{
				default = "images/bt_fade.png",
				over = "images/bt_fade.png",
				onEvent = bt07t,
				id = "bt07"
}
--
local bt08 = ui.newButton{
				default = "images/bt_crossfade.png",
				over = "images/bt_crossfade.png",
				onEvent = bt08t,
				id = "bt08"
}

---------------------------------------------------------------
-- SLIDE
---------------------------------------------------------------

-----------------------------------
-- IMAGE
-----------------------------------

local btSlide = display.newImage("images/bt_slide.png")

-----------------------------------
-- LISTENER
-----------------------------------

local function btSlidet ( event )
	if event.phase == "ended" then
		if event.xStart > event.x then
			director:changeScene("screen2","moveFromRight")
		else
			director:changeScene("screen2","moveFromLeft")
		end
	end
end

---------------------------------------------------------------
-- INIT VARS
---------------------------------------------------------------

local function initVars ()

	-----------------------------------
	-- Inserts
	-----------------------------------
	
	localGroup:insert(background)
	localGroup:insert(title)
	localGroup:insert(createdBy)
	localGroup:insert(website)
	localGroup:insert(bt01)
	localGroup:insert(bt02)
	localGroup:insert(bt03)
	localGroup:insert(bt04)
	localGroup:insert(bt05)
	localGroup:insert(bt06)
	localGroup:insert(bt07)
	localGroup:insert(bt08)
	localGroup:insert(btSlide)
	
	-----------------------------------
	-- Positions
	-----------------------------------
	
	title.x = 160
	title.y = 20
	--
	createdBy.x = 160
	createdBy.y = 410
	--
	website.x = 160
	website.y = 440
	--
	bt01.x = 85
	bt01.y = 80
	--
	bt02.x = 240
	bt02.y = 80
	--
	bt03.x = 85
	bt03.y = 150
	--
	bt04.x = 240
	bt04.y = 150
	--
	bt05.x = 85
	bt05.y = 220
	--
	bt06.x = 240
	bt06.y = 220
	--
	bt07.x = 85
	bt07.y = 290
	--
	bt08.x = 240
	bt08.y = 290
	--
	btSlide.x = 160
	btSlide.y = 360
	
	-----------------------------------
	-- Colors
	-----------------------------------
	
	title:setTextColor( 255,255,255)
	createdBy:setTextColor( 255,255,255)
	website:setTextColor( 255,255,255)
	
	-----------------------------------
	-- Listeners
	-----------------------------------
	
	btSlide:addEventListener ( "touch" , btSlidet )
	
end

---------------------------------------------------------------
-- CLEAN
---------------------------------------------------------------

function clean ( event )
	print("1 cleaned")
end

---------------------------------------------------------------
-- NEW
---------------------------------------------------------------

function new()
	
	-----------------------------------
	-- Initiate variables
	-----------------------------------
	
	initVars()
	
	-----------------------------------
	-- MUST return a display.newGroup()
	-----------------------------------
	
	return localGroup
	
end
